using Models;
using System.Collections.Immutable;

namespace Endpoint
{
    public interface IAccountRecipesPreferences
    {
        public Account Account { get; }


        public void AddToFavorites(RecipeInfo info);
        public void RemoveFromFavorites(RecipeInfo info);
        public void SetReviewScore(RecipeInfo info, uint score);
        public bool AddToWeeklyList(RecipeInfo info, uint persAmount);

        public RecipeRate GetRate(RecipeInfo info);

        public ImmutableList<RecipeInfo> GetFavorites();

        public ImmutableList<RecipeInfo> GetRecommendedRecipes();

        public ImmutableList<(RecipeInfo, uint)> GetWeeklyList();

    }
}
